=== debian/control ===
Source: ros-melodic-tf2-py
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rospy, ros-melodic-tf2
Homepage: http://ros.org/wiki/tf2_py
Standards-Version: 3.9.2

Package: ros-melodic-tf2-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rospy, ros-melodic-tf2
Description: The tf2_py package
